OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_Array1OfDatumReference Class Reference

`#include <StepDimTol_Array1OfDatumReference.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepDimTol_Array1OfDatumReference (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepDimTol_Array1OfDatumReference (const Handle(StepDimTol_DatumReference)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepDimTol_DatumReference)&V)
Standard_EXPORT void | Destroy ()
| ~StepDimTol_Array1OfDatumReference ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepDimTol_Array1OfDatumReference & | Assign (const StepDimTol_Array1OfDatumReference &Other)
const StepDimTol_Array1OfDatumReference & | operator= (const StepDimTol_Array1OfDatumReference &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepDimTol_DatumReference)&Value)
const Handle_StepDimTol_DatumReference & | Value (const Standard_Integer Index) const
const Handle_StepDimTol_DatumReference & | operator() (const Standard_Integer Index) const
Handle_StepDimTol_DatumReference & | ChangeValue (const Standard_Integer Index)
Handle_StepDimTol_DatumReference & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepDimTol_Array1OfDatumReference (const StepDimTol_Array1OfDatumReference &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_Array1OfDatumReference::StepDimTol_Array1OfDatumReference | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepDimTol_Array1OfDatumReference::StepDimTol_Array1OfDatumReference | ( | const Handle(StepDimTol_DatumReference)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepDimTol_Array1OfDatumReference::~StepDimTol_Array1OfDatumReference | ( |  | ) | `[inline]`

Standard_EXPORT StepDimTol_Array1OfDatumReference::StepDimTol_Array1OfDatumReference | ( | const StepDimTol_Array1OfDatumReference & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepDimTol_Array1OfDatumReference& StepDimTol_Array1OfDatumReference::Assign | ( | const StepDimTol_Array1OfDatumReference & | Other | ) |

Handle_StepDimTol_DatumReference& StepDimTol_Array1OfDatumReference::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepDimTol_Array1OfDatumReference::Destroy | ( |  | ) |

Standard_EXPORT void StepDimTol_Array1OfDatumReference::Init | ( | const Handle(StepDimTol_DatumReference)& | V | ) |

Standard_Boolean StepDimTol_Array1OfDatumReference::IsAllocated | ( |  | ) | const

Standard_Integer StepDimTol_Array1OfDatumReference::Length | ( |  | ) | const

Standard_Integer StepDimTol_Array1OfDatumReference::Lower | ( |  | ) | const

void StepDimTol_Array1OfDatumReference::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepDimTol_Array1OfDatumReference::operator new | ( | size_t | size | ) | `[inline]`

void* StepDimTol_Array1OfDatumReference::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepDimTol_DatumReference& StepDimTol_Array1OfDatumReference::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepDimTol_DatumReference& StepDimTol_Array1OfDatumReference::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepDimTol_Array1OfDatumReference& StepDimTol_Array1OfDatumReference::operator= | ( | const StepDimTol_Array1OfDatumReference & | Other | ) | `[inline]`

void StepDimTol_Array1OfDatumReference::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepDimTol_DatumReference)& | Value
| ) |

Standard_Integer StepDimTol_Array1OfDatumReference::Upper | ( |  | ) | const

const Handle_StepDimTol_DatumReference& StepDimTol_Array1OfDatumReference::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepDimTol_Array1OfDatumReference::isAllocated`[private]`

Standard_Integer StepDimTol_Array1OfDatumReference::myLowerBound`[private]`

Standard_Address StepDimTol_Array1OfDatumReference::myStart`[private]`

Standard_Integer StepDimTol_Array1OfDatumReference::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepDimTol_Array1OfDatumReference.hxx